summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 19:45:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:45:40 +0200
commita5e84350c101edca0c499c3dc7b1ef7f049a1980 (patch)
treedd542d151a8de77c1379d1903a3fbfce310231f2 /multimedia
parentdf2ad70f0a8e2d56a9779cca1bc29ad79610b076 (diff)
downloadslackbuilds-a5e84350c101edca0c499c3dc7b1ef7f049a1980.tar.gz
slackbuilds-a5e84350c101edca0c499c3dc7b1ef7f049a1980.tar.xz
multimedia/mplayerplug-in: Updated for version 3.50
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mplayerplug-in/README5
-rw-r--r--multimedia/mplayerplug-in/doinst.sh5
-rw-r--r--multimedia/mplayerplug-in/mplayerplug-in.SlackBuild40
-rw-r--r--multimedia/mplayerplug-in/mplayerplug-in.info10
-rw-r--r--multimedia/mplayerplug-in/slack-desc12
5 files changed, 39 insertions, 33 deletions
diff --git a/multimedia/mplayerplug-in/README b/multimedia/mplayerplug-in/README
index 275e75efb3..40d508f557 100644
--- a/multimedia/mplayerplug-in/README
+++ b/multimedia/mplayerplug-in/README
@@ -2,10 +2,9 @@ mplayerplug-in is a browser plugin that uses MPlayer to play
digital media from websites. This plug-in gives Mozilla the
ability to play media from a website the net without reading
the source html and getting the url manually. Media is played
-embedded in the page or in a separate window depending on how
-the author of the webpage intended the media to be seen.
+embedded in the page or in a separate window depending on
+how the author of the webpage intended the media to be seen.
You will need to have MPlayer installed (which is available at
SlackBuilds.org) in order to use this package. Also, make sure
you have the SeaMonkey package (from stock Slackware) installed.
-
diff --git a/multimedia/mplayerplug-in/doinst.sh b/multimedia/mplayerplug-in/doinst.sh
index 98d5100aaa..04bb603733 100644
--- a/multimedia/mplayerplug-in/doinst.sh
+++ b/multimedia/mplayerplug-in/doinst.sh
@@ -1,10 +1,10 @@
config() {
NEW="$1"
- OLD="`dirname $NEW`/`basename $NEW .new`"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
# toss the redundant copy
rm $NEW
fi
@@ -13,4 +13,3 @@ config() {
config etc/mplayerplug-in.conf.new
config etc/mplayerplug-in.types.new
-
diff --git a/multimedia/mplayerplug-in/mplayerplug-in.SlackBuild b/multimedia/mplayerplug-in/mplayerplug-in.SlackBuild
index bbf998905b..e6e5f490ef 100644
--- a/multimedia/mplayerplug-in/mplayerplug-in.SlackBuild
+++ b/multimedia/mplayerplug-in/mplayerplug-in.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for mplayerplug-in
-# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,26 +22,18 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit 1
-fi
-
-set -e
-
PRGNAM=mplayerplug-in
-VERSION=3.35
+VERSION=3.50
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="ChangeLog INSTALL LICENSE README TODO DOCS/*"
+PDOCS="ChangeLog INSTALL LICENSE README TODO"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -49,15 +41,20 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM
-
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -71,7 +68,7 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
@@ -79,13 +76,16 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Let's not overwrite existing config files
-mv $PKG/etc/mplayerplug-in.conf $PKG/etc/mplayerplug-in.conf.new
-mv $PKG/etc/mplayerplug-in.types $PKG/etc/mplayerplug-in.types.new
+# Don't overwrite existing config files:
+mv $PKG/etc/$PRGNAM.conf $PKG/etc/$PRGNAM.conf.new
+mv $PKG/etc/$PRGNAM.types $PKG/etc/$PRGNAM.types.new
+
+# Remove empty directories
+find $PKG -type d -depth -exec rmdir {} \; 2>/dev/null
mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mplayerplug-in/mplayerplug-in.info b/multimedia/mplayerplug-in/mplayerplug-in.info
index 306ec289bc..04473edab4 100644
--- a/multimedia/mplayerplug-in/mplayerplug-in.info
+++ b/multimedia/mplayerplug-in/mplayerplug-in.info
@@ -1,8 +1,8 @@
PRGNAM="mplayerplug-in"
-VERSION="3.35"
+VERSION="3.50"
HOMEPAGE="http://mplayerplug-in.sourceforge.net/"
-DOWNLOAD="http://dl.sourceforge.net/mplayerplug-in/mplayerplug-in-3.35.tar.gz"
-MD5SUM="5efa01fa433ee4c7118e534c36198e72"
-MAINTAINER="MagicMan"
-EMAIL="MagicMan07@bluebottle.com"
+DOWNLOAD="http://downloads.sourceforge.net/mplayerplug-in/mplayerplug-in-3.50.tar.gz"
+MD5SUM="7a9306c39f6550090c16b9c1d87e3168"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
APPROVED="rworkman"
diff --git a/multimedia/mplayerplug-in/slack-desc b/multimedia/mplayerplug-in/slack-desc
index f16bed421a..9e7796130c 100644
--- a/multimedia/mplayerplug-in/slack-desc
+++ b/multimedia/mplayerplug-in/slack-desc
@@ -1,11 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
mplayerplug-in: mplayerplug-in (Embedded Video Player for Mozilla)
mplayerplug-in:
mplayerplug-in: mplayerplug-in is a browser plugin that uses MPlayer to play
mplayerplug-in: digital media from websites. This plug-in gives Mozilla the
mplayerplug-in: ability to play media from a website the net without reading
mplayerplug-in: the source html and getting the url manually. Media is played
-mplayerplug-in: embedded in the page or in a separate window depending on how
-mplayerplug-in: the author of the webpage intended the media to be seen.
+mplayerplug-in: embedded in the page or in a separate window depending on
+mplayerplug-in: how the author of the webpage intended the media to be seen.
mplayerplug-in:
mplayerplug-in: Homepage: http://mplayerplug-in.sourceforge.net/
mplayerplug-in: